#
# $Id: php-base.spec,v 1.0 2004/04/08 13:04:46 legion Exp $
#

Name: php-base
Version: 2.2
Release: alt1
Group: Development/Other

Source0: php-scripts-%version.tar.bz2

License: PHP
BuildArch: noarch

Requires: control

Summary: Package with common data for various PHP packages

%description
The %name package contains parts of PHP distribution which are in use
by other PHP-related packages. 

%prep
%setup -q -c -n %name-%version

%build

%install
%__mkdir_p \
    %buildroot/%_bindir \
    %buildroot/%_libdir/php \
    %buildroot/%_datadir/php \
    %buildroot/%_sysconfdir/php \
    %buildroot/%_datadir/php/scripts \
    %buildroot/%_datadir/php/modules \
    %buildroot/%_sysconfdir/control.d

%__install -m 644 php-scripts/phpfunctions %buildroot/%_sysconfdir/control.d
%__install -m 700 php-scripts/*.sh %buildroot/%_datadir/php/scripts
%__install -m 755 php-scripts/phpini-migrate %buildroot/%_bindir/

%files
%_bindir/*
%dir %_libdir/php
%dir %_datadir/php
%dir %_sysconfdir/php
%_sysconfdir/control.d/*
%dir %_datadir/php/scripts
%dir %_datadir/php/modules
%_datadir/php/scripts/*

%changelog
* Sat Nov 11 2006 Alexey Gladkov <legion@altlinux.ru> 2.2-alt1
- Add new utility: phpini-migrate.
- phpfunctions: Change regexp to parse php.ini.

* Thu Jan 26 2006 Alexey Gladkov <legion@altlinux.ru> 2.1-alt1
- php_postin.sh and php_preun.sh updated.
- phpfunctions - common functions for a php control.
- scripts runs with -e -u -f shell options.

* Mon Aug 01 2005 Alexey Gladkov <legion@altlinux.ru> 2.0-alt1
- directory %%_datadir/php/modules added;

* Thu Apr 08 2004 Alexey Gladkov <legion@altlinux.ru> 1.0-alt1
- ALT Linux Sisyphus first build.
